Bug 1074170 - setup.py script executes pkg-config even on "clean" target [NEEDINFO]
Summary: setup.py script executes pkg-config even on "clean" target
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt-python
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Berrangé
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-08 17:04 UTC by Matthew Garrett
Modified: 2016-05-17 01:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-25 21:16:38 UTC
jx871031: needinfo?


Attachments (Terms of Use)
Don't run pkgconfig when running setup.py clean (4.56 KB, patch)
2014-03-08 17:04 UTC, Matthew Garrett
no flags Details | Diff
libvirt-python-patch (9.63 KB, text/plain)
2016-05-17 01:51 UTC, lcnuaa
no flags Details

Description Matthew Garrett 2014-03-08 17:04:35 UTC
Created attachment 872217 [details]
Don't run pkgconfig when running setup.py clean

python setup.py clean runs pkgconfig even though the values aren't used, which interacts badly with our build system (we call clean to build the package source before we've installed any build dependencies). The attached patch works around it for our specific case, but I'm not sure what the standard python approach is.

Comment 1 Cole Robinson 2014-03-25 21:16:38 UTC
Thanks for the report. I pushed a series of patches upstream that should fix this. Just closing as UPSTREAM, a new version will be in rawhide within a couple of weeks.

Comment 2 lcnuaa 2016-05-17 01:51:18 UTC
Created attachment 1158143 [details]
libvirt-python-patch

Comment 3 lcnuaa 2016-05-17 01:58:42 UTC
(In reply to lcnuaa from comment #2)
> Created attachment 1158143 [details]
> libvirt-python-patch

sorry,everyone.
I want to download the patch about setup.py cleaning.
But something went wrong..I uploaded the wrong attachment...
My attachment is incorrect,and I don't know how to delete it.

So don't download or review the attachment of mine!!!!!!!!!!!!!!!!!!!!!!!


Note You need to log in before you can comment on or make changes to this bug.